Back to API Overview
Sharing API
Create and manage share links for resources including files, flows, and bases.
8 endpoints
Endpoints
POST
/api/v1/sharing/recordActivityRecord that a shared link was viewed or downloaded
Parameters
shareToken | stringrequired | Share token from the URL |
action | stringrequired | What the visitor did: "VIEWED" or "DOWNLOADED" |
Example Request
curl -X POST https://app.serenitiesai.com/api/v1/sharing/recordActivity \
-H "Authorization: Bearer mk_live_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"shareToken": "example",
"action": "example"
}'